# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetPartClass

Function

Returns by index only those parts belonging to the specified class.

Syntax
`
#include <dx/dx.h>
`

Object DXGetPartClass(Object o, int n, Class class)

Functional Details

Performs a depth-first traversal of the Object `o` and returns a reference to the `n`th (`n`>= 0) occurrence of a subObject with the requested `class`. The parts of a group may be enumerated by calling `DXGetPartClass` with successive values of `n` starting at 0 until `NULL` is returned.

For applying a function to every Field in a Group, `DXProcessParts` is a more efficient interface.

Return Value Returns the `n`th subObject of the requested class or returns `NULL`.

See Also

`DXGetPart, DXProcessParts, DXSetPart`

"Parts".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]